Overview
Before integrating a SmartFastPay product or solution, you must set up your development environment to get OAuth 2.0 Client ID and Secret credentials for the sandbox and live environments.
Last updated
curl -v --location --request POST 'https://sandbox.smartfastpay.com/transaction/checkout' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <Access-Token>' \
--data-raw '{
"customer_id": "58f0c005-3b7d-4c75-81f3-93b9a6fee864",
"branch": "Office 2",
"name": "Richard Roe",
"amount": 4300,
"currency": "USD",
"callback": "http://mysite.com/api/notification",
"transaction": {
"id": "b08e3897-6505-4bb4-81a5-6e3a1d29e277",
"redirect": {
"url": "http://mysite.com/success_payment",
"type": "URL"
}
}
}'{
"requestId": "73eaaecf-1bf4-4847-b4a9-8c615e891e1b",
"data": {
"url": "https://sandbox.smartfastpay.com/checkout/v1/f834fc1b-c8a0-4613-bcc9-2c188f6ef180",
"transaction_id": "f834fc1b-c8a0-4613-bcc9-2c188f6ef180"
}
}